## Search URL scans `client.urlScanner.scans.list(ScanListParamsparams, RequestOptionsoptions?): ScanListResponse` **get** `/accounts/{account_id}/urlscanner/v2/search` Use a subset of ElasticSearch Query syntax to filter scans. Some example queries:

- 'path:"/bundles/jquery.js"': Searches for scans who requested resources with the given path.
- 'page.asn:AS24940 AND hash:xxx': Websites hosted in AS24940 where a resource with the given hash was downloaded.
- 'page.domain:microsoft* AND verdicts.malicious:true AND NOT page.domain:microsoft.com': malicious scans whose hostname starts with "microsoft".
- 'apikey:me AND date:[2025-01 TO 2025-02]': my scans from 2025 January to 2025 February. ### Parameters - `params: ScanListParams` - `account_id: string` Path param: Account ID. - `q?: string` Query param: Filter scans - `size?: number` Query param: Limit the number of objects in the response. ### Returns - `ScanListResponse` - `results: Array` - `_id: string` - `page: Page` - `asn: string` - `country: string` - `ip: string` - `url: string` - `result: string` - `stats: Stats` - `dataLength: number` - `requests: number` - `uniqCountries: number` - `uniqIPs: number` - `task: Task` - `time: string` - `url: string` - `uuid: string` - `visibility: string` - `verdicts: Verdicts` - `malicious: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const scans = await client.urlScanner.scans.list({ account_id: 'account_id' }); console.log(scans.results); ``` #### Response ```json { "results": [ { "_id": "9626f773-9ffb-4cfb-89d3-30b120fc8011", "page": { "asn": "AS15133", "country": "US", "ip": "93.184.215.14", "url": "https://example.com" }, "result": "https://radar.clouflare.com/scan/9626f773-9ffb-4cfb-89d3-30b120fc8011", "stats": { "dataLength": 2512, "requests": 2, "uniqCountries": 1, "uniqIPs": 1 }, "task": { "time": "2024-09-30T23:54:02.881000+00:00", "url": "https://example.com", "uuid": "9626f773-9ffb-4cfb-89d3-30b120fc8011", "visibility": "public" }, "verdicts": { "malicious": true } } ] } ```